unit ANSI_OEM;
interface
{------------------------------------------------------------------}
function  WinToDos(DString :String) :String;
function  DosToWin(DString :String) :String;

{------------------------------------------------------------------}
implementation
{------------------------------------------------------------------}

function  WinToDos(DString :String) :String;
const
 AltTable : Array[0..255] of Char = (
  #0,  #1,  #2,  #3,  #4,  #5,  #6,  #7,
  #8,  #9,  #10, #11, #12, #13, #14, #15,
  #16, #17, #18, #19, #20, #21, #22, #23,
  #24, #25, #26, #27, #28, #29, #30, #31,
  #32, #33, #34, #35, #36, #37, #38, #39,
  #40, #41, #42, #43, #44, #45, #46, #47,
  #48, #49, #50, #51, #52, #53, #54, #55,
  #56, #57, #58, #59, #60, #61, #62, #63,
  #64, #65, #66, #67, #68, #69, #70, #71,
  #72, #73, #74, #75, #76, #77, #78, #79,
  #80, #81, #82, #83, #84, #85, #86, #87,
  #88, #89, #90, #91, #92, #93, #94, #95,
  #96, 'a', 'b', 'c', 'd', 'e', 'f', 'g',
  'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o',
  'p', 'q', 'r', 's', 't', 'u', 'v', 'w',
  'x', 'y', 'z',#123,#124,#125,#126,#127,
 #176,#177,#178,#179,#180,#181,#182,#183,
 #184,#185,#186,#187,#188,#189,#190,#191,
 #192,#193,#194,#195,#196,#197,#198,#199,
 #200,#201,#202,#203,#204,#205,#206,#207,
 #208,#209,#210,#211,#212,#213,#214,#215,
 #216,#217,#218,#219,#220,#221,#222,#223,
  '', '', '', '', '', '', '', '',
  '', '', '', '', '', '', '', '',
  '', '', '', '', '', '', '', '',
  '', '', '', '', '', '', '', '',
  '', '', '', '', '', '', '', '',
  '', '', '', '', '', '', '', '',
  '', '', '', '', '', '', '', '',
  '', '', '', '', '', '', '', '',
  '', '',#242,#243,#244,#245,#246,#247,
 #248,#249,#250,#251,#252,#253,#254,#255);
var
   I : Integer;
begin
  WinToDos[0] := DString[0];
  for I := 1 to Length(DString) do WinToDos[I] := AltTable[Byte(DString[I])];
end;

{------------------------------------------------------------------}
function  DosToWin(DString : String) :String;
const
 AltTable : Array[0..255] of Char = (
  #0,  #1,  #2,  #3,  #4,  #5,  #6,  #7,
  #8,  #9,  #10, #11, #12, #13, #14, #15,
  #16, #17, #18, #19, #20, #21, #22, #23,
  #24, #25, #26, #27, #28, #29, #30, #31,
  #32, #33, #34, #35, #36, #37, #38, #39,
  #40, #41, #42, #43, #44, #45, #46, #47,
  #48, #49, #50, #51, #52, #53, #54, #55,
  #56, #57, #58, #59, #60, #61, #62, #63,
  #64, #65, #66, #67, #68, #69, #70, #71,
  #72, #73, #74, #75, #76, #77, #78, #79,
  #80, #81, #82, #83, #84, #85, #86, #87,
  #88, #89, #90, #91, #92, #93, #94, #95,
  #96, 'a', 'b', 'c', 'd', 'e', 'f', 'g',
  'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o',
  'p', 'q', 'r', 's', 't', 'u', 'v', 'w',
  'x', 'y', 'z',#123,#124,#125,#126,#127,
  '', '', '', '', '', '', '', '',
  '', '', '', '', '', '', '', '',
  '', '', '', '', '', '', '', '',
  '', '', '', '', '', '', '', '',
  '', '', '', '', '', '', '', '',
  '', '', '', '', '', '', '', '',
 #176,#177,#178,#179,#180,#181,#182,#183,
 #184,#185,#186,#187,#188,#189,#190,#191,
 #192,#193,#194,#195,#196,#197,#198,#199,
 #200,#201,#202,#203,#204,#205,#206,#207,
 #208,#209,#210,#211,#212,#213,#214,#215,
 #216,#217,#218,#219,#220,#221,#222,#223,
  '', '', '', '', '', '', '', '',
  '', '', '', '', '', '', '', '',
  '', '',#242,#243,#244,#245,#246,#247,
 #248,#249,#250,#251,#252,#253,#254,#255);
var
   I : Integer;
begin
  DosToWin[0] := DString[0];
  for I := 1 to Length(DString) do DosToWin[I] := AltTable[Byte(DString[I])];
end;

{------------------------------------------------------------------}
end.
